<?php

// Make sure we don't expose any info if called directly
if ( !function_exists( "add_action" ) ) {
	echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
	exit;
}

/**
 * Display extension subpage
 */
$gifthunt_subpage = "sessions";

if ( isset ( $_GET["p"] ) ) {
  $gifthunt_subpage = sanitize_title( $_GET["p"] );
}

$gifthuntfree = new Gifthuntfree();

switch ( $gifthunt_subpage ) {
  /**
   * List gifthunt sessions
   */
  case "sessions":
    $path = "gifthunt-" . $gifthunt_subpage . ".view.php";
    if ( file_exists( dirname( __FILE__ ) . "/" . $path ) ) {
      /**
       * Get gifthunt sessions from the database
       */
      $gifthunt_sessions = $gifthuntfree->get_gifthunt_list();
      include $path;
    } else {
      // display 404
      include "gifthunt-404.view.php";
    }
    break;

  /**
   * Create new session
   */
  case "session-create":
    $path = "gifthunt-" . $gifthunt_subpage . ".view.php";
    if ( file_exists( dirname( __FILE__ ) . "/" . $path ) ) {
      include $path;
    } else {
      // display 404
      include "gifthunt-404.view.php";
    }
    break;

  /**
   * Edit session
   */
  case "session-edit":
    $path = "gifthunt-" . $gifthunt_subpage . ".view.php";
    if ( file_exists( dirname( __FILE__ ) . "/" . $path ) ) {
      $gifthunData = $gifthuntfree->get_gifthunt_data( intval( $_GET["id"] ) );
      if ( !isset( $gifthunData->id ) ) {
        // display 404
        include "gifthunt-404.view.php";
        break;
      }
      
      $gifthuntfree = $gifthunData;
      include $path;
    } else {
      // display 404
      include "gifthunt-404.view.php";
    }
    break;

  /**
   * List hunters
   */
  case "hunters":
    $path = "gifthunt-" . $gifthunt_subpage . ".view.php";
    if ( file_exists( dirname( __FILE__ ) . "/" . $path ) ) {
      $gifthunData = $gifthuntfree->get_gifthunt_data( intval( $_GET["id"] ) );
      if ( ! isset( $gifthunData->id ) ) {
        // display 404
        include "gifthunt-404.view.php";
        break;
      }

      $gifthuntHunters = $gifthuntfree->get_hunters( intval( $_GET["id"] ) );

      $gifthuntfree = $gifthunData;
      include $path;
    } else {
      // display 404
      include "gifthunt-404.view.php";
    }
    break;

  default:
    $path = "gifthunt-" . $gifthunt_subpage . ".view.php";
    if ( file_exists( dirname( __FILE__ ) . "/" . $path ) ) {
      include $path;
    } else {
      // display 404
      include "gifthunt-404.view.php";
    }
    break;
}