<?php
if ( ! function_exists( "add_action" ) ) {
	echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
	exit;
}
?>

<div class="gifthunt-page-actions gifthunt-page-actions--header edit-post-header">
	<h1>
		<?php
		if ( $gifthuntfree->id ) {
			?>
			Editing: <?php echo esc_html( $gifthuntfree->name ); ?>
			<?php
		} else {
			?>
			Create New Gift Hunt Session
			<?php
		}
		?>
	</h1>

	<?php
	if ( $gifthuntfree->id ) {
		?>
		<a href="<?php echo get_site_url() . "?gfthntprvwfree=" . $gifthuntfree->id; ?>" target="_blank" class="button">Preview session</a>
		<?php
	}
	?>

	<button type="submit" class="gifthunt-button button button-primary gifthunt-save-session">
		Save session
		<i class="hidden">
			<svg class="gifthunt-spin" width="25" height="15" viewBox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
				<path d="M33 20.5C33 22.9723 32.2669 25.389 30.8934 27.4446C29.5199 29.5002 27.5676 31.1024 25.2835 32.0485C22.9995 32.9946 20.4861 33.2421 18.0614 32.7598C15.6366 32.2775 13.4093 31.087 11.6612 29.3388C9.91301 27.5907 8.7225 25.3634 8.24018 22.9386C7.75787 20.5139 8.00541 18.0005 8.95151 15.7165C9.8976 13.4324 11.4998 11.4801 13.5554 10.1066C15.611 8.73311 18.0277 8 20.5 8L20.5 13C19.0166 13 17.5666 13.4399 16.3332 14.264C15.0999 15.0881 14.1386 16.2594 13.5709 17.6299C13.0032 19.0003 12.8547 20.5083 13.1441 21.9632C13.4335 23.418 14.1478 24.7544 15.1967 25.8033C16.2456 26.8522 17.582 27.5665 19.0368 27.8559C20.4917 28.1453 21.9997 27.9968 23.3701 27.4291C24.7406 26.8614 25.9119 25.9001 26.736 24.6668C27.5601 23.4334 28 21.9834 28 20.5H33Z" fill="white">
				</path>
			</svg>
		</i>
	</button>
</div>

<form action="" class="gifthunt-form">
	<div class="gifthunt-form__form">
		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">Get started</h3>
				<p>If you need some help on how to create a Gift Hunt session, visit the following page: <a target="_blank" href="https://gifthuntplugin.com/create-your-first-gift-hunt-session.html">Create your first Gift Hunt session</a></p>
			</div>
		</div>

		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">
					Session basic settings
				</h3>
				<p>A <strong>session</strong> is where you define <em>When</em>, <em>How</em> and <em>Who</em> can find gifts on your site.</p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label class="gifthunt-form-group__label" for="name">Session name</label>
					<input type="text" class="gifthunt-input-field" name="name" id="name" value="<?php echo esc_html( $gifthuntfree->name ); ?>" maxlength="250" required data-gifthunt-error="Session name is required" />
					<p class="gifthunt-form-group__help-text">This is just an information for you that you can use to identify your session. It won't be visible for your visitors.</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label class="gifthunt-form-group__label" for="icon">Session icon</label>
						
					<div id="gifthunt__icon-list">
						<?php
						for( $i = 1; $i < 12; $i++ ) {
							?>
							<label>
								<input type="radio" name="icon" value="<?php echo $i; ?>" <?php
								if ( $gifthuntfree->icon == $i ) {
									echo "checked";
								}
								?> required />
								<span class="gifthunt-icon-preview">
									<img src="<?php echo plugins_url( "assets/images/" . $i . ".svg", __DIR__ ); ?>" alt="Gift Hunt Icon <?php echo $i; ?>">
								</span>
							</label>
							<?php
						}
						?>
					</div>

					<div class="gifthunt-error-message hidden" id="icon_error-message">
						Session icon is required. Please, choose one from the available options.
					</div>
					<p class="gifthunt-form-group__help-text">This is the icon that will "pop up" after the visitor spent enough time on your site, or visited the defined amount of pages.</p>

					<p class="info--premium">
						⭐ Upload your <a href="https://gifthuntplugin.com/upload-a-custom-icon-for-your-gift-hunt-session.html" target="_blank">own icon</a>, change the <a href="https://gifthuntplugin.com/change-the-animation-of-your-gift-hunt-icon.html" target="_blank">animation</a> or set a <a href="https://gifthuntplugin.com/change-the-position-of-your-gift-hunt-icon.html" target="_blank">different placement</a> for the icon with <a href="https://gum.co/gifthunt" target="_blank">Gift Hunt Pro</a>.
					</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label class="gifthunt-form-group__label" for="display_type">When should the visitor see the session icon on your site?</label>

					<label><input type="radio" name="display_type" value="time" <?php
					if ( $gifthuntfree->display_type == "time" ) {
						echo "checked";
					}
					?> required /> After they spent some time on the site</label>

					<label><input type="radio" name="display_type" value="pageview" <?php
					if ( $gifthuntfree->display_type == "pageview" ) {
						echo "checked";
					}
					?> /> After they visited some pages</label>

					<div class="gifthunt-error-message hidden" id="display_type-error-message">
						Please, choose one from the available options.
					</div>

					<p class="info--premium">
						⭐ <a href="https://gum.co/gifthunt" target="_blank">Gift Hunt Pro</a> also makes it possible to place your session icon with the help of a <a href="https://gifthuntplugin.com/display-your-gift-hunt-icon-with-a-shortcode.html" target="_blank">shortcode</a>.
					</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php 
				if ( $gifthuntfree->display_type == "pageview" ) {
					echo "hidden";
				}
				?>" id="time_to_display_section">
				<div class="gifthunt-form-group">
					<label for="time_to_display" class="gifthunt-form-group__label">Seconds, after the session icon becomes visible for the visitor</label>
					<input type="number" min="1" name="time_to_display" id="time_to_display" value="<?php echo esc_html( $gifthuntfree->time_to_display ); ?>" data-gifthunt-error="Seconds, after the session icon becomes visible is required" />
					<p class="gifthunt-form-group__help-text">The icon will become visible for the visitors after they spent the defined amount of time on your website. Eg. 60 seconds (1 minute), or 300 seconds (5 minutes).</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php
				if ( $gifthuntfree->display_type == "time" ) {
					echo "hidden";
				}
				?>" id="pageview_to_display_section">
				<div class="gifthunt-form-group">
					<label for="pageview_to_display" class="gifthunt-form-group__label">Number of visited pages, after the session icon becomes visible for the visitor</label>
					<input type="number" min="1" name="pageview_to_display" id="pageview_to_display" value="<?php echo esc_html( $gifthuntfree->pageview_to_display ); ?>" data-gifthunt-error="Number of visited pages, after the session icon becomes visible is required" />
					<p class="gifthunt-form-group__help-text">The icon will become visible for the visitors after they viewed the defined amount of unique pages on your website. Eg, if the number is 2, the icon will become visible when they visited 2 unique pages.</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label>
						<input type="checkbox" name="allow_multiple_collect" id="allow_multiple_collect" value="1" <?php
						if ( $gifthuntfree->allow_multiple_collect ) {
							echo "checked";
						}
						?> />
						Allow one user to collect multiple gifts during this session
					</label>

					<p class="gifthunt-form-group__help-text">Choose this option, if you'd like to let users collect multiple gifts during this session. This is just a cookie based protection, so users who visit your site from different browsers or clear their cookies will be able to collect gifts multiple times.</p>
				</div>
			</div>
		</div>

		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">
					Gift options
				</h3>
				<p>In this section, you can define what kind of gifts your visitors can collect.</p>
				<p>If you want to give the same gift to all the lucky visitors, choose the first option. If you have more gifts and you want to randomly give one of them to your visitors, choose the second option. The third option is for you if you would like to give a unique gift to every lucky visitor.</p>
				<p><strong>If you are giving away discount codes, don't forget to create them first.</strong></p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="gift_type" class="gifthunt-form-group__label">Gift type</label>
					<label>
						<input type="radio" name="gift_type" value="oneMany" required data-gifthunt-error="Gift type is required" <?php
						if ( $gifthuntfree->gift_type == "oneMany" ) {
							echo "checked";
						}
						?> /> One gift - Give the same gift to every lucky visitor
					</label>
		
					<label>
						<input type="radio" name="gift_type" value="moreMany" required data-gifthunt-error="Gift type is required" <?php
						if ( $gifthuntfree->gift_type == "moreMany" ) {
							echo "checked";
						}
						?> /> More gifts - Randomly display one for the lucky visitors
					</label>
		
					<label>
						<input type="radio" name="gift_type" value="moreOne" required data-gifthunt-error="Gift type is required" <?php
						if ( $gifthuntfree->gift_type == "moreOne" ) {
							echo "checked";
						}
						?> /> More gifts - Give a unique gift for each lucky visitor
					</label>

					<div class="gifthunt-error-message hidden" id="gift_type-error-message">
						Please, choose one from the available options.
					</div>
				</div>
			</div>
		</div>

		<div class="gifthunt-card <?php
			if ( $gifthuntfree->gift_type != "oneMany" ) {
				echo "hidden";
			}
			?>" id="gifthunt-card--one-gift">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">
					One gift
				</h3>
				<p>The gift your visitors can find on your site.<br />You can use regular text or HTML in the field below.</p>
				<p>If you'd like to give away multiple gifts, choose an other option above.</p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="gift" class="gifthunt-form-group__label">Gift</label>
					<input type="text" class="gifthunt-input-field" name="gift" id="gift" placeholder="Eg. Discount code: FreeShipping19" value="<?php
					if ( isset( $gifthuntfree->gifts ) ) {
						echo esc_html( $gifthuntfree->gifts[0]->gift );
					}
					?>" data-gifthunt-error="Please, define a gift" />
					<p class="gifthunt-form-group__help-text">Your visitors will see this after they filled the data collection form.</p>
				</div>
			</div>
		</div>

		<div class="gifthunt-card <?php
			if ( $gifthuntfree->gift_type == "oneMany" ) {
				echo "hidden";
			}
			?>" id="gifthunt-card--more-gifts">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">
					More gifts
				</h3>
				<p>The gifts your visitors can find on your site.<br />Please, use regular text in the fields below.</p>
				<p>Click on the "Add another gift" button to add more gifts to your gifthunt session.</p>
				<p>If you'd like to give away only one gift, choose the <em>"One gift - Give the same gift to every lucky visitor"</em> option above.</p>
			</div>

			<div class="gifthunt-card__section">
				<div id="gifthunt-card__section--gift-list">
					<?php
					if ( isset( $gifthuntfree->gifts ) ) {
						foreach( $gifthuntfree->gifts as $gift ) {
							?>
							<div class="gifthunt-form-group gift-item" id="gift-item-<?php echo esc_attr( $gift->id ); ?>" data-gift-id="<?php echo esc_attr( $gift->id ); ?>">
								<label for="gift_<?php echo esc_attr( $gift->id ); ?>" class="gifthunt-form-group__label">Gift</label>
								<div class="gifthunt-input-group">
									<input type="text" class="gifthunt-input-field" name="gift_<?php echo esc_attr( $gift->id ); ?>" id="gift_<?php echo esc_attr( $gift->id ); ?>" placeholder="Eg. Discount code: FreeShipping19" data-gift-db-id="<?php echo esc_attr( $gift->id ); ?>" value="<?php echo esc_html( $gift->gift ); ?>" />
									<button type="button" class="button gifthunt__gift-item-remove-button" data-gift-id="<?php echo esc_attr( $gift->id ); ?>">
										<strong>&times;</strong>
										remove
									</button>
								</div>
								<p class="gifthunt-form-group__help-text">Your visitors will see this after they filled the data collection form.</p>
							</div>
							<?php
						}
					} else {
						?>
						<div class="gifthunt-form-group gift-item" id="gift-item-0" data-gift-id="0">
							<label for="gift_0" class="gifthunt-form-group__label">Gift</label>
							<input type="text" class="gifthunt-input-field" name="gift_0" id="gift_0" placeholder="Eg. Discount code: FreeShipping19" data-gift-db-id="0" value="" />
							<p class="gifthunt-form-group__help-text">Your visitors will see this after they filled the data collection form.</p>
						</div>
						<?php
					}
					?>
				</div>
				<div class="gifthunt-error-message hidden" id="gifts-error-message">
					Please, add at least one gift.
				</div>
			</div>

			<script type="text/template" id="gift-field-template">
				<div class="gifthunt-form-group gift-item" id="gift-item-%GIFTID%" data-gift-id="%GIFTID%">
					<label for="gift-%GIFTID%" class="gifthunt-form-group__label">Gift</label>
					<div class="gifthunt-input-group">
						<input type="text" class="gifthunt-input-field" name="gift-%GIFTID%" id="gift-%GIFTID%" placeholder="Eg. Discount code: FreeShipping19" data-gift-db-id="%GIFTDBID%" value="%GIFTGIFT%" />
						<button type="button" class="button gifthunt__gift-item-remove-button" data-gift-id="%GIFTID%">
							<strong>&times;</strong>
							remove
						</button>
					</div>
					<p class="gifthunt-form-group__help-text">Your visitors will see this after they filled the data collection form.</p>
				</div>
			</script>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<button type="button" class="button" id="gifthunt-add-gift-button">
						<strong>+</strong> Add another gift
					</button>
				</div>
			</div>
		</div>

		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">
					Popup window options
				</h3>
				<p>After someone "found" the session icon on your site, to collect their reward they need to fill a form. This form will be visible inside a popup window. You can use the fields below to give some instructions to the lucky visitors (why they need to provide these information, what is going to happen after they filled the form, etc).</p>
				<p><strong>If the gifts your visitor can hunt have an expiration date, don't forget to add that information to the "Popup content after form submission" field below.</strong></p>

				<p class="info--premium">
					⭐ Use one from the seasonal (🎃 Halloween, 🎄 Christmas, 🐰 Ester) or the dark popup window design for a better look with <a href="https://gum.co/gifthunt" target="_blank">Gift Hunt Pro</a>.
				</p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="popup_title" class="gifthunt-form-group__label">Popup window title</label>
					<input type="text" class="gifthunt-input-field" name="popup_title" id="popup_title" value="<?php echo esc_html( $gifthuntfree->popup_title ); ?>" maxlength="250" required data-gifthunt-error="Popup window title is required" />
					<p class="gifthunt-form-group__help-text">This text will be visible at the top of the popup window which becomes visible when someone clicked on the session icon</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="popup_body" class="gifthunt-form-group__label">Popup window content</label>
					<?php
					wp_editor( $gifthuntfree->popup_body, "popup_body", [ "teeny" => true, "textarea_rows" => 5 ] );
					?>
					<div class="gifthunt-error-message hidden" id="popup_body-error-message">
						Popup window content is required
					</div>
					<p class="gifthunt-form-group__help-text">This text will be visible inside the popup window (above the data collection form, below the popup window title)</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="popup_submit_body" class="gifthunt-form-group__label">Popup content after form submission</label>
					<?php
					wp_editor( $gifthuntfree->popup_submit_body, "popup_submit_body", [ "teeny" => true, "textarea_rows" => 5 ] );
					?>
					<div class="gifthunt-error-message hidden" id="popup_submit_body-error-message">
						Popup content after form submission is required
					</div>
					<p class="gifthunt-form-group__help-text">This text will be visible inside the popup window (below the popup window title) after someone sucessfully filled and submitted the data collection form, the discount code will be visible below this text</p>
				</div>
			</div>
		</div>

		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<div class="gifthunt-card__title">
					<h3>Data collection options</h3>
					<p>The data collection form will be visible inside the popup window, below the popup window content.<br />You can choose to not just collect the first name, last name and email of the lucky visitor but also some additional information. You can use that to collect messages, addresses, phone numbers, etc.</p>
				</div>

				<p class="info--premium">
					⭐ <a href="https://gum.co/gifthunt" target="_blank">Gift Hunt Pro</a> makes it possible to display a <a href="https://gifthuntplugin.com/use-custom-content-in-your-popup-window.html" target="_blank">custom popup window</a>. This is an easy way to integrate the plugin with other systems.
				</p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="form_label_email" class="gifthunt-form-group__label">Label for email field</label>
					<input type="text" class="gifthunt-input-field" name="form_label_email" id="form_label_email" value="<?php echo esc_html( $gifthuntfree->form_label_email ); ?>" maxlength="50" required data-gifthunt-error="Label for email field is required" />
					<p class="gifthunt-form-group__help-text">This is the text that will be visible above the email field in the data collection form</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label>
						<input type="checkbox" name="form_collect_first_name" id="form_collect_first_name" value="1" <?php
						if ( $gifthuntfree->form_collect_first_name ) {
							echo "checked";
						}
						?> /> Collect first names in the form
					</label>
					<p class="gifthunt-form-group__help-text">Choose this option, if you'd like to display a field in your data collection form to collect first names</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php
				if ( ! $gifthuntfree->form_collect_first_name ) {
					echo "hidden";
				}
				?>" id="form_label_first_name_section">
				<div class="gifthunt-form-group">
					<label for="form_label_first_name" class="gifthunt-form-group__label">Label for first name field</label>
					<input type="text" class="gifthunt-input-field" name="form_label_first_name" id="form_label_first_name" value="<?php echo esc_html( $gifthuntfree->form_label_first_name ); ?>" maxlength="50" data-gifthunt-error="Label for first name field is required" />
					<p class="gifthunt-form-group__help-text">This is the text that will be visible above the First Name field in the data collection form</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label>
						<input type="checkbox" name="form_collect_last_name" id="form_collect_last_name" value="1" <?php
						if ( $gifthuntfree->form_collect_last_name ) {
							echo "checked";
						}
						?> /> Collect last names in the form
					</label>
					<p class="gifthunt-form-group__help-text">Choose this option, if you'd like to display a field in your data collection form to collect last names</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php
				if ( ! $gifthuntfree->form_collect_last_name ) {
					echo "hidden";
				}
				?>" id="form_label_last_name_section">
				<div class="gifthunt-form-group">
					<label for="form_label_last_name" class="gifthunt-form-group__label">Label for last name field</label>
					<input type="text" class="gifthunt-input-field" name="form_label_last_name" id="form_label_last_name" value="<?php echo esc_html( $gifthuntfree->form_label_last_name ); ?>" maxlength="50" data-gifthunt-error="Label for last name field is required" />
					<p class="gifthunt-form-group__help-text">This is the text that will be visible above the Last Name field in the data collection form</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label>
						<input type="checkbox" name="form_collect_additional_information" id="form_collect_additional_information" value="1" <?php
						if ( $gifthuntfree->form_collect_additional_information ) {
							echo "checked";
						}
						?> /> Collect additional information in the form
					</label>
					<p class="gifthunt-form-group__help-text">Choose this option, if you'd like to display an extra field in your data collection form (for example, this could be useful if you'd like to collect the address of your lucky visitors)</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php
				if ( ! $gifthuntfree->form_collect_additional_information ) {
					echo "hidden";
				}
				?>" id="form_label_additional_information_section">
				<div class="gifthunt-form-group">
					<label for="form_label_additional_information" class="gifthunt-form-group__label">Label for additional information field</label>
					<input type="text" class="gifthunt-input-field" name="form_label_additional_information" id="form_label_additional_information" value="<?php echo esc_html( $gifthuntfree->form_label_additional_information ); ?>" maxlength="50" data-gifthunt-error="Label for additional information field is required" />
					<p class="gifthunt-form-group__help-text">This is the text that will be visible above the additional information field in the data collection form</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<p><strong>As you are going to collect personal information during the process, you should inform users of how you are going to use the collected data. To claim their gifts, users have to accept these terms.<br />You can use the privacy policy of your website here if that's appropriate.</strong></p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="form_label_legal" class="gifthunt-form-group__label">Label for Privacy Policy, Terms of Service field</label>
					<input type="text" class="gifthunt-input-field" name="form_label_legal" id="form_label_legal" value="<?php echo esc_html( $gifthuntfree->form_label_legal ); ?>" required maxlength="250" data-gifthunt-error="Label for Privacy Policy is required" />
					<p class="gifthunt-form-group__help-text">This is the text that will be visible next to the legal checkbox in the data collection form</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="form_legal_url" class="gifthunt-form-group__label">URL for Privacy Policy, Terms of Service</label>
					<input type="url" name="form_legal_url" id="form_legal_url" value="<?php echo esc_url( $gifthuntfree->form_legal_url ); ?>" required maxlength="250" data-gifthunt-error="URL for Privacy Policy is required" />
					<p class="gifthunt-form-group__help-text">If your Privacy Policy, Terms of Service are available on different URLs, please, create a new page where both of those URLs are available and use the link of that page here</p>
				</div>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label for="popup_button" class="gifthunt-form-group__label">Form submit button text</label>
					<input type="text" class="gifthunt-input-field" name="popup_button" id="popup_button" value="<?php echo esc_html( $gifthuntfree->popup_button ); ?>" maxlength="50" required data-gifthunt-error="Form submit button text is required" />
					<p class="gifthunt-form-group__help-text">This is the text that will be visible on the submit button at the end of the data collection form</p>
				</div>
			</div>
		</div>

		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<div class="gifthunt-card__title">
					<div class="gifthunt-card__title">
						<h3>Success Email</h3>
						<div class="gifthunt-form-group">
							<label>
								<input type="checkbox" name="success_email_send" id="success_email_send" value="1" <?php
								if ( $gifthuntfree->success_email_send ) {
									echo "checked";
								}
								?> /> Send an email to users after they filled the data collection form.
							</label>
							<p class="gifthunt-form-group__help-text">Choose this option, if you'd like to send an email to the visitors who found the gift and filled the data collection form. You can use this email to send additional information to the users.</p>
						</div>
					</div>
				</div>
			</div>

			<div class="gifthunt-card__section success-email-section <?php 
			if( ! $gifthuntfree->success_email_send ){
				echo "hidden";
			}
			?>">
				<div class="gifthunt-card__title">
					<h3>Success email options</h3>
					<p>After the lucky visitors filled the form, they'll also get an email with the gift they found (the gift will also be visible below the "Popup content after form submission" content). You can use custom email subject and custom email content for this message.<br />You can also personalize the subject and the body of the email with the help of the following shortcodes:</p>
					<ul id="gifthunt-success-email-list">
						<li>
							<span>%firstname%</span>
							<br>use it to display the first name (eg. Hi %firstname%)
						</li>
						
						<li>
							<span>%lastname%</span>
							<br>use it to display the last name
						</li>
						
						<li>
							<span>%email%</span>
							<br>use it to display the email address
						</li>	

						<li>
							<span>%gift%</span>
							<br>use it to display the gift the user found
						</li>	
					</ul>

					<p class="info--premium">
						⭐ With <a href="https://gum.co/gifthunt" target="_blank">Gift Hunt Pro</a> you can select one from the 6 built in success email templates to create a unified experience.
					</p>
				</div>
			</div>

			<div class="gifthunt-card__section success-email-section <?php 
			if( ! $gifthuntfree->success_email_send ){
				echo "hidden";
			}
			?>">
				<div class="gifthunt-card__columns">
					<div class="gifthunt-card__column">
						<div class="gifthunt-form-group">
							<label for="success_email_sender_name" class="gifthunt-form-group__label">Success email sender name</label>
							<input type="text" class="gifthunt-input-field" name="success_email_sender_name" id="success_email_sender_name" value="<?php echo esc_html( $gifthuntfree->success_email_sender_name ); ?>" required maxlength="100" data-gifthunt-error="Success email sender name is required" />
							<p class="gifthunt-form-group__help-text">This is going to be the sender name of the success email (it will be visible in the users inbox, you can use the name of your website)</p>
						</div>
					</div>

					<div class="gifthunt-card__column">
						<div class="gifthunt-form-group">
							<label for="success_email_sender_email" class="gifthunt-form-group__label">Success email sender email address</label>
							<input type="text" class="gifthunt-input-field" name="success_email_sender_email" id="success_email_sender_email" value="<?php echo sanitize_email( $gifthuntfree->success_email_sender_email ); ?>" required maxlength="100" data-gifthunt-error="Success email sender email address is required" />
							<p class="gifthunt-form-group__help-text">This is going to be the sender email address of the success email (it could be your contact email or a noreply address)</p>
						</div>
					</div>
				</div>
			</div>

			<div class="gifthunt-card__section success-email-section <?php 
			if( ! $gifthuntfree->success_email_send ){
				echo "hidden";
			}
			?>">
				<div class="gifthunt-form-group">
					<label for="success_email_subject" class="gifthunt-form-group__label">Success email subject</label>
					<input type="text" class="gifthunt-input-field" name="success_email_subject" id="success_email_subject" value="<?php echo esc_html( $gifthuntfree->success_email_subject ); ?>" required maxlength="100" data-gifthunt-error="Success email subject is required" />
					<p class="gifthunt-form-group__help-text">This is going to be the subject of the email</p>
				</div>
			</div>

			<div class="gifthunt-card__section success-email-section <?php 
			if( ! $gifthuntfree->success_email_send ){
				echo "hidden";
			}
			?>">
				<div class="gifthunt-form-group">
					<label for="success_email_body" class="gifthunt-form-group__label">Success email body</label>
					<?php
					wp_editor( $gifthuntfree->success_email_body, "success_email_body", [ "teeny" => true, "textarea_rows" => 10 ] )
					?>
					<div class="gifthunt-error-message hidden" id="success_email_body-error-message">
						Success email body is required
					</div>
					<p class="gifthunt-form-group__help-text">This is going to be the body of the email</p>
				</div>
			</div>

			<div class="gifthunt-card__section success-email-section <?php 
			if( ! $gifthuntfree->success_email_send ){
				echo "hidden";
			}
			?>">
				<div class="gifthunt-form-group">
					<button type="button" class="button" id="gifthunt-send-test-success-email">Send a test email</button>
				</div>
			</div>
		</div>

	</div>

	<div class="gifthunt-form__sidebar">
		<div class="gifthunt-card">
			<div class="gifthunt-card__section">
				<h3 class="gifthunt-card__title">Session visibility</h3>
				<p>At a given time you can have only 1 active session running in your store. Use the options below to turn on or off the session and define the start and end dates.</p>
			</div>

			<div class="gifthunt-card__section">
				<div class="gifthunt-form-group">
					<label>
						<input type="checkbox" name="active" id="active" <?php
						if ( $gifthuntfree->active ) {
							echo "checked";
						}
						?> />
						Active
					</label>
					<p class="gifthunt-form-group__help-text">
						Choose this option if you want to <strong>turn ON</strong> this Gift Hunt Session
					</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php
				if ( ! $gifthuntfree->active ) {
					echo "hidden";
				}
				?>" id="visible-from-section">
				<div class="gifthunt-form-group">
					<label for="visible_from" class="gifthunt-form-group__label">Session start date</label>
					<input type="text" class="gifthunt-input-field" id="visible_from" name="visible_from" value="<?php echo esc_html( $gifthuntfree->visible_from ); ?>" data-gifthunt-error="Session start date is required" />
					<p class="gifthunt-form-group__help-text">If the Hunt Session is Active, your session will be visible for your visitors from this date</p>
				</div>
			</div>

			<div class="gifthunt-card__section <?php
				if ( ! $gifthuntfree->active ) {
					echo "hidden";
				}
				?>" id="visible-to-section">
				<div class="gifthunt-form-group">
					<label for="visible_to" class="gifthunt-form-group__label">Session end date</label>
					<input type="text" class="gifthunt-input-field" id="visible_to" name="visible_to" value="<?php echo esc_html( $gifthuntfree->visible_to ); ?>" data-gifthunt-error="Session end date is required" />
					<p class="gifthunt-form-group__help-text">This is the last day your session will be active</p>
				</div>
			</div>

		</div>

		<?php
		if ( $gifthuntfree->id ) {
			?>
			<div class="gifthunt-card">
				<div class="gifthunt-card__section gifthunt-card__section--secondary">
					<h3 class="gifthunt-card__title">Danger zone</h3>
					<p>If you'd like to delete this session and all the collected user information, click the button below.<br />If you'd like to delete only one hunter or all the hunters of this session, visit the following page: <a href="admin.php?page=gifthuntfree-sessions&p=hunters&id=<?php echo esc_attr( $gifthuntfree->id ); ?>">Hunters list</a></p>
				</div>

				<div class="gifthunt-card__section gifthunt-card__section--secondary">
					<div class="gifthunt-form-group">
						<button type="button" class="button button-link-delete" id="button--session-delete">
							Delete session
						</button>
					</div>
				</div>
			</div>
			<?php
		}
		?>
	</div>
</form>

<div class="gifthunt-page-actions">
	<a href="admin.php?page=gifthuntfree-sessions" class="gifthunt-button--link">Back to session list</a>

	<button type="submit" class="gifthunt-button button button-primary button-hero gifthunt-save-session">
		Save session
		<i class="hidden">
			<svg class="gifthunt-spin" width="25" height="15" viewBox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
				<path d="M33 20.5C33 22.9723 32.2669 25.389 30.8934 27.4446C29.5199 29.5002 27.5676 31.1024 25.2835 32.0485C22.9995 32.9946 20.4861 33.2421 18.0614 32.7598C15.6366 32.2775 13.4093 31.087 11.6612 29.3388C9.91301 27.5907 8.7225 25.3634 8.24018 22.9386C7.75787 20.5139 8.00541 18.0005 8.95151 15.7165C9.8976 13.4324 11.4998 11.4801 13.5554 10.1066C15.611 8.73311 18.0277 8 20.5 8L20.5 13C19.0166 13 17.5666 13.4399 16.3332 14.264C15.0999 15.0881 14.1386 16.2594 13.5709 17.6299C13.0032 19.0003 12.8547 20.5083 13.1441 21.9632C13.4335 23.418 14.1478 24.7544 15.1967 25.8033C16.2456 26.8522 17.582 27.5665 19.0368 27.8559C20.4917 28.1453 21.9997 27.9968 23.3701 27.4291C24.7406 26.8614 25.9119 25.9001 26.736 24.6668C27.5601 23.4334 28 21.9834 28 20.5H33Z" fill="white">
				</path>
			</svg>
		</i>
	</button>
</div>

<div class="gifthunt-form-result__modal <?php
	if ( ! isset( $_GET["msg"] ) ) {
		echo "hidden";
	}
	?>">
	<div class="gifthunt-form-result__modal-content">
		<div class="gifthunt-form-result gifthunt-form-result--error hidden">
			<div class="gifthunt-form-result__content">
				Error
			</div>
			<button type="button" class="gifthunt-form-result__close-button">
				<strong>
					&times;
				</strong>
			</button>
		</div>

		<div class="gifthunt-form-result gifthunt-form-result--success <?php
			if ( ! isset( $_GET["msg"] ) || $_GET["msg"] != "created" ) {
				echo "hidden";
			}
			?>">
			<div class="gifthunt-form-result__content">
				<?php
				if ( isset( $_GET["msg"] ) ) {
					$currentMsg = sanitize_title( $_GET["msg"] );

					switch( $currentMsg ) {
						case "created":
							echo "Session created successfully";
							break;
						
						default:
							echo "Success";
							break;
					}
				} else {
					echo "Success";
				}
				?>
			</div>
			<button type="button" class="gifthunt-form-result__close-button">
				<strong>
					&times;
				</strong>
			</button>
		</div>
	</div>
</div>

<div class="gifthunt-form__delete-confirm-modal hidden">
	<div class="gifthunt-form__delete-confirm-modal-content">
		<h3>Are you sure?</h3>
		<p>If you delete the session, all the session data and collected user information will be deleted as well.</p>
		<div class="gifthunt-form__delete-confirm-actions">
			<button type="button" class="button" id="button--cancel-delete">Cancel</button>
			<button type="button" class="button gifthunt-button--danger" id="button--confirm-delete">
				Delete session and all collected data
				<i class="hidden">
					<svg class="gifthunt-spin" width="25" height="15" viewBox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path d="M33 20.5C33 22.9723 32.2669 25.389 30.8934 27.4446C29.5199 29.5002 27.5676 31.1024 25.2835 32.0485C22.9995 32.9946 20.4861 33.2421 18.0614 32.7598C15.6366 32.2775 13.4093 31.087 11.6612 29.3388C9.91301 27.5907 8.7225 25.3634 8.24018 22.9386C7.75787 20.5139 8.00541 18.0005 8.95151 15.7165C9.8976 13.4324 11.4998 11.4801 13.5554 10.1066C15.611 8.73311 18.0277 8 20.5 8L20.5 13C19.0166 13 17.5666 13.4399 16.3332 14.264C15.0999 15.0881 14.1386 16.2594 13.5709 17.6299C13.0032 19.0003 12.8547 20.5083 13.1441 21.9632C13.4335 23.418 14.1478 24.7544 15.1967 25.8033C16.2456 26.8522 17.582 27.5665 19.0368 27.8559C20.4917 28.1453 21.9997 27.9968 23.3701 27.4291C24.7406 26.8614 25.9119 25.9001 26.736 24.6668C27.5601 23.4334 28 21.9834 28 20.5H33Z" fill="white">
						</path>
					</svg>
				</i>
			</button>
		</div>

		<button type="button" class="gifthunt-form__delete-confirm-modal__close-button">
			<strong>
				&times;
			</strong>
		</button>
	</div>
</div>

<div class="gifthunt-form__test-mail-modal hidden">
	<div class="gifthunt-form__test-mail-modal-content">
		<h3>Send success email preview</h3>
		<div class="gifthunt-form-group">
			<label for="to" class="gifthunt-form-group__label">Send test mail to</label>
			<input type="email" name="to" id="to" />
			<p class="gifthunt-form-group__help-text">Add the email address where you'd like to send the test message to</p>
		</div>

		<div class="gifthunt-form__test-mail-actions">
			<button type="button" class="button" id="button--cancel-send-testmail">Cancel</button>
			<button type="button" class="button button-primary" id="button--confirm-send-testmail">
				Send test email
				<i class="hidden">
					<svg class="gifthunt-spin" width="25" height="15" viewBox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path d="M33 20.5C33 22.9723 32.2669 25.389 30.8934 27.4446C29.5199 29.5002 27.5676 31.1024 25.2835 32.0485C22.9995 32.9946 20.4861 33.2421 18.0614 32.7598C15.6366 32.2775 13.4093 31.087 11.6612 29.3388C9.91301 27.5907 8.7225 25.3634 8.24018 22.9386C7.75787 20.5139 8.00541 18.0005 8.95151 15.7165C9.8976 13.4324 11.4998 11.4801 13.5554 10.1066C15.611 8.73311 18.0277 8 20.5 8L20.5 13C19.0166 13 17.5666 13.4399 16.3332 14.264C15.0999 15.0881 14.1386 16.2594 13.5709 17.6299C13.0032 19.0003 12.8547 20.5083 13.1441 21.9632C13.4335 23.418 14.1478 24.7544 15.1967 25.8033C16.2456 26.8522 17.582 27.5665 19.0368 27.8559C20.4917 28.1453 21.9997 27.9968 23.3701 27.4291C24.7406 26.8614 25.9119 25.9001 26.736 24.6668C27.5601 23.4334 28 21.9834 28 20.5H33Z" fill="white">
						</path>
					</svg>
				</i>
			</button>
		</div>

		<button type="button" class="gifthunt-form__test-mail-modal__close-button">
			<strong>
				&times;
			</strong>
		</button>
	</div>
</div>

<div class="gifthunt-form__popup-design-preview-modal hidden">
</div>

<div class="gifthunt-form__success-email-template-preview-modal hidden">
	<div class="gifthunt-form__success-email-template-preview-modal-content">
		<h3>Template: <span id="success-email-template-preview-name"></span></h3>

		<div class="gifthunt-form__success-email-template-preview-modal-body">
		</div>

		<div class="gifthunt-form__test-mail-actions">
			<button type="button" class="button" id="button--cancel-success-email-template-preview">Cancel</button>
			<button type="button" class="button button-primary" id="button--confirm-success-email-template-preview">Use this template</button>
		</div>

		<button type="button" class="gifthunt-form__success-email-template-preview-modal__close-button">
			<strong>
				&times;
			</strong>
		</button>
	</div>
</div>

<?php
// success email templates
include "success-email-templates/christmas.php";
include "success-email-templates/default-dark.php";
include "success-email-templates/default-light.php";
include "success-email-templates/easter.php";
include "success-email-templates/halloween.php";
include "success-email-templates/unstyled.php";
?>

<script>
const giftSessionId = <?php echo $gifthuntfree->id; ?>;
const gifthuntFreeNonce = '<?php echo wp_create_nonce( "gifthuntfree-nonce-string" ); ?>';
</script>